//
//  HA_device.h
//  HA_server
//
//  Created by hark on 2013/07/03.
//  Copyright (c) 2013年 hark. All rights reserved.
//

#ifndef __HA_server__HA_device__
#define __HA_server__HA_device__

#ifdef __cplusplus
#include <iostream>
#include "HA_Object.h"
#include "HA_buffer.h"

namespace HARKAndroid {

class DeviceObject : public HAObject {
public:
    virtual int open() { return(0); }
    virtual int start(BufferObject&) { return (0); }
    virtual int stop() { return (0); }
    virtual int close() { return(0); }
    // takigahira
    virtual int allclose() { return(0); }
    virtual int GetChannels() { return(0); }
    virtual int GetBits() { return(0); }
};

} // end of namespace

#endif // __cpusplus

#endif /* defined(__HA_server__HA_device__) */
